package cn.novalon.gym.manage.sys.core.service;

import cn.novalon.gym.manage.sys.core.domain.SysConfig;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

/**
 * 系统配置服务接口
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public interface ISysConfigService {
    Flux<SysConfig> findAll();
    Mono<SysConfig> findById(Long id);
    Mono<SysConfig> findByConfigKey(String configKey);
    Mono<SysConfig> save(SysConfig config);
    Mono<Void> deleteById(Long id);
    Mono<String> getConfigValue(String configKey);
}
